package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF5G6 extends MwfRequest<MWF5G6, MWF5G6Response> {

    @Parameter(name = "APP_KEY")
    MWF5G6 appKey(Long appKey);
    @Parameter(name = "PPIType")
    MWF5G6 pPIType(String pPIType);
    @Parameter(name = "UserRole")
    MWF5G6 userRole(String userRole);
    @Parameter(name = "User_SSO")
    MWF5G6 userSSO(String userSSO);
}
